diff --git a/functional/ControlsTests/src/javafx/scene/control/test/treeview/TreeViewNewApp.java b/functional/ControlsTests/src/javafx/scene/control/test/treeview/TreeViewNewApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/treeview/TreeViewNewApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/treeview/TreeViewNewApp.java
@@ -33,6 +33,8 @@
 import javafx.scene.Scene;
 import javafx.scene.control.*;
 import javafx.scene.control.test.treetable.ResetButtonNames;
+import static javafx.scene.control.test.treetable.ResetButtonNames.HARD_RESET_BUTTON_ID;
+import static javafx.scene.control.test.treetable.ResetButtonNames.SOFT_RESET_BUTTON_ID;
 import static javafx.scene.control.test.treeview.TreeViewConstants.ROOT_NAME;
 import javafx.scene.control.test.utils.CommonPropertiesScene;
 import javafx.scene.control.test.utils.ptables.NodeControllerFactory;
@@ -131,7 +133,8 @@
             tabPane = new TabPaneWithControl("TreeView", tb);
             getControlOverItem(ROOT_NAME);
 
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -141,7 +144,8 @@
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     refreshProcedure(2);
@@ -403,8 +407,11 @@
 
         private HBox getScrollToHBox() {
             HBox hb = new HBox();
-            Button button = ButtonBuilder.create().text("ScrollTo").id(SCROLL_TO_BUTTON_ID).build();
-            final TextField tf = TextFieldBuilder.create().text("0").id(SCROLL_TO_TEXT_FIELD_ID).prefWidth(50).build();
+            Button button = new Button("ScrollTo");
+            button.setId(SCROLL_TO_BUTTON_ID);
+            final TextField tf = new TextField("0");
+            tf.setId(SCROLL_TO_TEXT_FIELD_ID);
+            tf.setPrefWidth(50);
 
             button.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
@@ -418,8 +425,12 @@
 
         private HBox getEditHBox() {
             HBox hb = new HBox();
-            Button button = ButtonBuilder.create().text("Edit").id(EDIT_BUTTON_ID).build();
-            final TextField tf = TextFieldBuilder.create().promptText("name").id(EDIT_TEXT_FIELD_ID).prefWidth(50).build();
+            Button button = new Button("Edit");
+            button.setId(EDIT_BUTTON_ID);
+            final TextField tf = new TextField();
+            tf.setPromptText("name");
+            tf.setId(EDIT_TEXT_FIELD_ID);
+            tf.setPrefWidth(50);
 
             button.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
@@ -434,11 +445,8 @@
         private VBox setEventHandlersHBox() {
             VBox vb = new VBox();
 
-            Button btn = ButtonBuilder.create()
-                    .text("Set onEdit event hadlers")
-                    .id(BTN_SET_ON_EDIT_EVENT_HANDLERS)
-                    .build();
-
+            Button btn = new Button("Set onEdit event hadlers");
+            btn.setId(BTN_SET_ON_EDIT_EVENT_HANDLERS);
             btn.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     testedControl.setOnEditStart(new EventHandler() {
@@ -461,11 +469,8 @@
                 }
             });
 
-            Button btnAddFactory = ButtonBuilder.create()
-                    .text("Set cell factory for editing")
-                    .id(SET_CELL_FACTORY_FOR_EDITING)
-                    .build();
-
+            Button btnAddFactory = new Button("Set cell factory for editing");
+            btnAddFactory.setId(SET_CELL_FACTORY_FOR_EDITING);
             btnAddFactory.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     testedControl.setCellFactory(new Callback<TreeView<String>, TreeCell<String>>() {
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/utils/ColorHelper.java b/functional/ControlsTests/src/javafx/scene/control/test/utils/ColorHelper.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/utils/ColorHelper.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/utils/ColorHelper.java
@@ -30,9 +30,7 @@
 import javafx.scene.Scene;
 import javafx.scene.control.Button;
 import javafx.scene.control.TextArea;
-import javafx.scene.control.TextAreaBuilder;
 import javafx.scene.control.TextField;
-import javafx.scene.control.TextFieldBuilder;
 import javafx.scene.layout.VBox;
 import javafx.scene.paint.Color;
 import javafx.stage.Stage;
@@ -55,11 +53,15 @@
 
     @Override
     public void start(final Stage stage) throws Exception {
-        final TextField xField = TextFieldBuilder.create().promptText("x").build();
-        final TextField yField = TextFieldBuilder.create().promptText("y").build();
+        final TextField xField = new TextField();
+        xField.setPromptText("x");
+        final TextField yField = new TextField();
+        yField.setPromptText("y");
 
-        final TextArea awtField = TextAreaBuilder.create().promptText("awt").build();
-        final TextArea glassField = TextAreaBuilder.create().promptText("glass").build();
+        final TextArea awtField = new TextArea();
+        awtField.setPromptText("awt");
+        final TextArea glassField = new TextArea();
+        glassField.setPromptText("glass");
 
         Button act = new Button("Get colors");
         act.setOnAction(new EventHandler<ActionEvent>() {
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/utils/ComponentsFactory.java b/functional/ControlsTests/src/javafx/scene/control/test/utils/ComponentsFactory.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/utils/ComponentsFactory.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/utils/ComponentsFactory.java
@@ -65,8 +65,11 @@
         VBox vb = new VBox();
 
         HBox hb1 = new HBox();
-        Button button = ButtonBuilder.create().id(FORM_BUTTON_ID).text("Press me").build();
-        final TextField tf1 = TextFieldBuilder.create().id(FORM_CLICK_TEXT_FIELD_ID).prefWidth(50).text("0").build();
+        Button button = new Button("Press me");
+        button.setId(FORM_BUTTON_ID);
+        final TextField tf1 = new TextField("0");
+        tf1.setId(FORM_CLICK_TEXT_FIELD_ID);
+        tf1.setPrefWidth(50);
         button.setOnAction((ActionEvent t) -> {
             tf1.setText(String.valueOf(Integer.parseInt(tf1.getText()) + 1));
         });
@@ -76,13 +79,19 @@
         ScrollBar sb = new ScrollBar();
         sb.setMax(10);
         sb.setId(FORM_SCROLLBAR_ID);
-        final TextField tf2 = TextFieldBuilder.create().id(FORM_SCROLL_TEXT_FIELD_ID).prefWidth(50).text("0").build();
+        final TextField tf2 = new TextField("0");
+        tf2.setId(FORM_SCROLL_TEXT_FIELD_ID);
+        tf2.setPrefWidth(50);
         sb.addEventHandler(ScrollEvent.ANY, (ScrollEvent t) -> {
             tf2.setText(String.valueOf(Integer.parseInt(tf2.getText()) + 1));
         });
         hb2.getChildren().addAll(sb, tf2);
 
-        TextArea ta = TextAreaBuilder.create().minHeight(50).prefHeight(100).prefWidth(50).id(FORM_TEXT_AREA_ID).build();
+        TextArea ta = new TextArea();
+        ta.setMinHeight(50);
+        ta.setPrefHeight(100);
+        ta.setPrefWidth(50);
+        ta.setId(FORM_TEXT_AREA_ID);
         for (int i = 0; i < 15; i++) {
             ta.appendText("text" + i + "\n");
         }
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/AbstractPropertyValueSetter.java b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/AbstractPropertyValueSetter.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/AbstractPropertyValueSetter.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/AbstractPropertyValueSetter.java
@@ -29,7 +29,6 @@
 import javafx.event.ActionEvent;
 import javafx.event.EventHandler;
 import javafx.scene.control.Button;
-import javafx.scene.control.ButtonBuilder;
 import javafx.scene.control.Control;
 import javafx.scene.control.Label;
 import static javafx.scene.control.test.utils.ptables.StaticLogger.*;
@@ -72,7 +71,9 @@
         getChildren().addAll(new Label(labelDescription.toUpperCase().substring(0, Math.min(15, labelDescription.length()) - 1)), leadingControl, binding.getVisualRepresentation());
 
         if (btype == BindingType.UNIDIRECTIONAL) {
-            Button setButton = ButtonBuilder.create().text("set").minWidth(38).id(SET_PREFIX + listeningProperty.getName().toUpperCase()).build();
+            Button setButton = new Button("set");
+            setButton.setMinWidth(38);
+            setButton.setId(SET_PREFIX + listeningProperty.getName().toUpperCase());
             setAction = new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     //bindingTB.setSelected(false);I think, that is not obligative.
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/BooleanPropertyValueSetter.java b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/BooleanPropertyValueSetter.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/BooleanPropertyValueSetter.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/BooleanPropertyValueSetter.java
@@ -27,7 +27,6 @@
 import javafx.beans.property.Property;
 import javafx.scene.Node;
 import javafx.scene.control.ToggleButton;
-import javafx.scene.control.ToggleButtonBuilder;
 import static javafx.scene.control.test.utils.ptables.StaticLogger.*;
 
 /**
@@ -37,7 +36,7 @@
  */
 public class BooleanPropertyValueSetter extends AbstractPropertyValueSetter<Boolean> {
 
-    private ToggleButton tb = ToggleButtonBuilder.create().text("false").build();
+    private ToggleButton tb = new ToggleButton("false");
 
     public BooleanPropertyValueSetter(Property listeningProperty, BindingType btype, Object testedControl) {
         try {
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/NodeControllerFactory.java b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/NodeControllerFactory.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/NodeControllerFactory.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/NodeControllerFactory.java
@@ -89,7 +89,9 @@
 
         @Override
         public Node getForNode(final ToolBar toolBar, final TabPaneWithControl tabPane) {
-            final TextField tf = TextFieldBuilder.create().id(TOOLBAR_ADD_INDEX_TEXT_FIELD_ID).text("0").prefWidth(40).build();
+            final TextField tf = new TextField("0");
+            tf.setId(TOOLBAR_ADD_INDEX_TEXT_FIELD_ID);
+            tf.setPrefWidth(40);
 
             this.getChildren().addAll(new NodesChoserFactory("Add!", new NodesChoserFactory.NodeAction<Node>() {
                 @Override
@@ -114,8 +116,12 @@
 
         @Override
         public Node getForNode(final Menu menu, final TabPaneWithControl tabPane) {
-            final TextField tf = TextFieldBuilder.create().id(MENU_ADD_INDEX_TEXT_FIELD_ID).text("0").prefWidth(40).build();
-            final TextField nameTF = TextFieldBuilder.create().id(MENU_ADD_NAME_TEXT_FIELD_ID).text("Menu").prefWidth(40).build();
+            final TextField tf = new TextField("0");
+            tf.setId(MENU_ADD_INDEX_TEXT_FIELD_ID);
+            tf.setPrefWidth(40);
+            final TextField nameTF = new TextField("Menu");
+            nameTF.setId(MENU_ADD_NAME_TEXT_FIELD_ID);
+            nameTF.setPrefWidth(40);
             this.getChildren().addAll(new NodesChoserFactory("Add!", new NodesChoserFactory.NodeAction<MenuItem>() {
                 @Override
                 public void execute(MenuItem node) {
@@ -155,8 +161,12 @@
 
         private HBox getPreviousSiblingHBox(final TreeItem item) {
             HBox hb = new HBox();
-            Button button = ButtonBuilder.create().text("Get previous sibling").id(GET_PREVIOUS_SIBLING_TREEITEM_BUTTON_ID).build();
-            final TextField tf = TextFieldBuilder.create().text("").promptText("Next sibling").id(GET_PREVIOUS_SIBLING_TREEITEM_TEXTFIELD_ID).prefWidth(100).build();
+            Button button = new Button("Get previous sibling");
+            button.setId(GET_PREVIOUS_SIBLING_TREEITEM_BUTTON_ID);
+            final TextField tf = new TextField("");
+            tf.setPromptText("Next sibling");
+            tf.setId(GET_PREVIOUS_SIBLING_TREEITEM_TEXTFIELD_ID);
+            tf.setPrefWidth(100);
 
             button.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
@@ -184,8 +194,12 @@
 
         private HBox getNextSiblingHBox(final TreeItem item) {
             HBox hb = new HBox();
-            Button button = ButtonBuilder.create().text("Get next sibling").id(GET_NEXT_SIBLING_TREEITEM_BUTTON_ID).build();
-            final TextField tf = TextFieldBuilder.create().text("").promptText("Next sibling").id(GET_NEXT_SIBLING_TREEITEM_TEXTFIELD_ID).prefWidth(100).build();
+            Button button = new Button("Get next sibling");
+            button.setId(GET_NEXT_SIBLING_TREEITEM_BUTTON_ID);
+            final TextField tf = new TextField("");
+            tf.setPromptText("Next sibling");
+            tf.setId(GET_NEXT_SIBLING_TREEITEM_TEXTFIELD_ID);
+            tf.setPrefWidth(100);
 
             button.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
@@ -203,8 +217,12 @@
         }
 
         private HBox getChangeValueHBox(final TreeItem item) {
-            Button button = ButtonBuilder.create().text("change value to").id(CHANGE_VALUE_BUTTON_ID).build();
-            final TextField tfNew = TextFieldBuilder.create().promptText("new value").id(NEW_VALUE_TEXT_FIELD_ID).prefWidth(50).build();
+            Button button = new Button("change value to");
+            button.setId(CHANGE_VALUE_BUTTON_ID);
+            final TextField tfNew = new TextField();
+            tfNew.setPromptText("new value");
+            tfNew.setId(NEW_VALUE_TEXT_FIELD_ID);
+            tfNew.setPrefWidth(50);
 
             button.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/NumberPropertyValueSetter.java b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/NumberPropertyValueSetter.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/NumberPropertyValueSetter.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/NumberPropertyValueSetter.java
@@ -33,7 +33,6 @@
 import javafx.scene.Node;
 import javafx.scene.control.Label;
 import javafx.scene.control.Slider;
-import javafx.scene.control.SliderBuilder;
 import static javafx.scene.control.test.utils.ptables.StaticLogger.*;
 import javafx.scene.input.MouseEvent;
 import javafx.scene.layout.VBox;
@@ -87,8 +86,22 @@
 
     private void applyRangesChangers(final Slider slider) {
         final Popup popupWithControllers = new Popup();
-        Slider minValue = SliderBuilder.create().prefWidth(300).min(1).max(9).minorTickCount(4).majorTickUnit(2).showTickLabels(true).showTickMarks(true).build();
-        Slider maxValue = SliderBuilder.create().prefWidth(300).min(1).max(9).minorTickCount(4).majorTickUnit(2).showTickLabels(true).showTickMarks(true).build();
+        Slider minValue = new Slider();
+        minValue.setPrefWidth(300);
+        minValue.setMin(1);
+        minValue.setMax(9);
+        minValue.setMinorTickCount(4);
+        minValue.setMajorTickUnit(2);
+        minValue.setShowTickLabels(true);
+        minValue.setShowTickMarks(true);
+        Slider maxValue = new Slider();
+        maxValue.setPrefWidth(300);
+        maxValue.setMin(1);
+        maxValue.setMax(9);
+        maxValue.setMinorTickCount(4);
+        maxValue.setMajorTickUnit(2);
+        maxValue.setShowTickLabels(true);
+        maxValue.setShowTickMarks(true);
 
         maxValue.valueProperty().addListener(new ChangeListener() {
             public void changed(ObservableValue ov, Object t, Object t1) {
@@ -143,7 +156,17 @@
 
     private Slider createSlider(double minValue, double maxValue, double defaultValue, String sliderId) {
         try {
-            return SliderBuilder.create().prefWidth(100).id(sliderId).min(minValue).max(maxValue).value(defaultValue).minorTickCount(4).majorTickUnit((maxValue - minValue) / 4).showTickLabels(true).showTickMarks(true).build();
+            Slider temp = new Slider();
+            temp.setPrefWidth(100);
+            temp.setId(sliderId);
+            temp.setMin(minValue);
+            temp.setMax(maxValue);
+            temp.setValue(defaultValue);
+            temp.setMinorTickCount(4);
+            temp.setMajorTickUnit((maxValue - minValue) / 4);
+            temp.setShowTickLabels(true);
+            temp.setShowTickMarks(true);
+            return temp;
         } catch (Throwable ex) {
             log(ex);
         }
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/PropertiesTable.java b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/PropertiesTable.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/PropertiesTable.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/PropertiesTable.java
@@ -36,7 +36,6 @@
 import javafx.beans.property.ReadOnlyProperty;
 import javafx.scene.Node;
 import javafx.scene.layout.FlowPane;
-import javafx.scene.layout.FlowPaneBuilder;
 import javafx.scene.layout.VBox;
 import static javafx.scene.control.test.utils.ptables.AbstractApplicationPropertiesRegystry.DEFAULT_DOMAIN_NAME;
 
@@ -78,8 +77,8 @@
 
     public final static String PROPERTIES_TABLE_SUFFIX_ID = "_PROPERTY_TABLE_ID";
     private final VBox linesVBox = new VBox(5);
-    private final FlowPane countersFlowPane = FlowPaneBuilder.create().vgap(5).hgap(5).build();
-    private final FlowPane listenersFlowPane = FlowPaneBuilder.create().vgap(5).hgap(5).build();
+    private final FlowPane countersFlowPane;
+    private final FlowPane listenersFlowPane;
     private final Object testedControl;
     private String domainName;
     /**
@@ -97,6 +96,12 @@
 
     public PropertiesTable(Object testedControl) {
         super(5);
+        countersFlowPane = new FlowPane();
+        countersFlowPane.setVgap(5);
+        countersFlowPane.setHgap(5);
+        listenersFlowPane = new FlowPane();
+        listenersFlowPane.setVgap(5);
+        listenersFlowPane.setHgap(5);
         this.domainName = DEFAULT_DOMAIN_NAME;
         this.setId(DEFAULT_DOMAIN_NAME + PROPERTIES_TABLE_SUFFIX_ID);
         getChildren().add(0, countersFlowPane);
@@ -151,7 +156,10 @@
     @Override
     public void addDoublePropertyLine(final DoubleProperty bindableProperty, double min, double max, double initial, Object owningObject) {
         AbstractPropertyController controller = new PropertyValueController(bindableProperty, testedControl, min, initial, max);
-        propertyControllers.put(bindableProperty.getName().toUpperCase(), controller);
+        AbstractPropertyController old_controller = propertyControllers.put(bindableProperty.getName().toUpperCase(), controller);
+        if (old_controller != null) {
+            linesVBox.getChildren().remove(old_controller.getVisualRepresentation());
+        }
         linesVBox.getChildren().add(controller.getVisualRepresentation());
     }
 
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/PropertyTablesFactory.java b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/PropertyTablesFactory.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/PropertyTablesFactory.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/PropertyTablesFactory.java
@@ -44,11 +44,11 @@
 import javafx.scene.image.Image;
 import javafx.scene.paint.Color;
 import javafx.scene.shape.Circle;
-import javafx.scene.shape.PolygonBuilder;
 import javafx.scene.shape.Rectangle;
 import javafx.scene.text.Font;
 import javafx.scene.text.Text;
 import java.time.chrono.Chronology;
+import javafx.scene.shape.Polygon;
 
 /**
  * @author Alexander Kirov
@@ -192,12 +192,14 @@
         possibleNodes.add(new Rectangle(0, 0, 10, 10));
         possibleNodes.add(ComponentsFactory.createCustomContent(25, 25));
         possibleNodes.add(new Circle(6.75, Color.RED));
-        possibleNodes.add(PolygonBuilder.create().fill(Color.GREEN).points(new Double[]{
+        Polygon temp = new Polygon(new double[]{
                     0.0, 7.0,
                     5.0, 20.0,
                     15.0, 20.0,
                     20.0, 7.0,
-                    10.0, 0.0,}).build());
+            10.0, 0.0,});
+        temp.setFill(Color.GREEN);
+        possibleNodes.add(temp);
         tb.addObjectEnumPropertyLine(property, possibleNodes, owningObject);
     }
 
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/PropertyValueListener.java b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/PropertyValueListener.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/PropertyValueListener.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/PropertyValueListener.java
@@ -28,13 +28,11 @@
 import javafx.beans.property.ReadOnlyProperty;
 import javafx.beans.value.ChangeListener;
 import javafx.beans.value.ObservableValue;
-import javafx.scene.control.LabelBuilder;
+import javafx.scene.control.Label;
 import javafx.scene.control.TextField;
-import javafx.scene.control.TextFieldBuilder;
 import javafx.scene.control.Tooltip;
-import javafx.scene.control.TreeTableColumn;
+import static javafx.scene.control.test.utils.ptables.StaticLogger.*;
 import javafx.scene.layout.HBox;
-import static javafx.scene.control.test.utils.ptables.StaticLogger.*;
 
 /**
  * @author Alexander Kirov
@@ -57,7 +55,7 @@
     public final static String LISTENER_SUFFIX = "_LISTENER_ID";
     private ReadOnlyProperty listenedProperty;
     private Object owningObject;
-    private TextField receivedValueTF = TextFieldBuilder.create().minWidth(50).maxWidth(110).build();
+    private TextField receivedValueTF = new TextField();
     private boolean someStateWasRemembered = false;
     private ValueType rememberedState = null;
     private int rememberedChangeCountValue = -1;
@@ -77,6 +75,8 @@
 
     public <ValueType> PropertyValueListener(String labelDescription, ReadOnlyProperty listenedProperty, String textFieldId, Object owningObject, Boolean showCounters) {
         this.owningObject = owningObject;
+        receivedValueTF.setMinWidth(50);
+        receivedValueTF.setMaxWidth(110);
         receivedValueTF.setId(textFieldId);
         receivedValueTF.setTooltip(new Tooltip());
         if (listenedProperty.getName().contains("BOUNDS")) {
@@ -85,7 +85,9 @@
         }
         this.listenedProperty = listenedProperty;
         counter = new PropertyValueCounter(listenedProperty);
-        getChildren().add(LabelBuilder.create().text(labelDescription).prefWidth(100).build());
+        Label temp = new Label(labelDescription);
+        temp.setPrefWidth(100);
+        getChildren().add(temp);
         if (showCounters) {
             getChildren().add(counter.getVisualRepresentation());
         }
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/StringPropertyValueSetter.java b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/StringPropertyValueSetter.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/StringPropertyValueSetter.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/StringPropertyValueSetter.java
@@ -27,7 +27,6 @@
 import javafx.beans.property.Property;
 import javafx.scene.Node;
 import javafx.scene.control.TextField;
-import javafx.scene.control.TextFieldBuilder;
 import static javafx.scene.control.test.utils.ptables.StaticLogger.*;
 
 /**
@@ -39,7 +38,8 @@
 
     public StringPropertyValueSetter(Property listeningProperty, BindingType btype, Object testedControl, String initialString) {
         try {
-            final TextField tf = TextFieldBuilder.create().text(initialString).id(createId(listeningProperty, btype)).build();
+            final TextField tf = new TextField(initialString);
+            tf.setId(createId(listeningProperty, btype));
             this.leadingControl = tf;
             this.leadingProperty = (Property) tf.textProperty();
             this.listeningProperty = listeningProperty;
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/TextFieldEventsCounter.java b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/TextFieldEventsCounter.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/TextFieldEventsCounter.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/utils/ptables/TextFieldEventsCounter.java
@@ -30,9 +30,7 @@
 import javafx.beans.value.ObservableValue;
 import javafx.scene.Node;
 import javafx.scene.control.Label;
-import javafx.scene.control.LabelBuilder;
 import javafx.scene.control.TextField;
-import javafx.scene.control.TextFieldBuilder;
 import static javafx.scene.control.test.utils.ptables.StaticLogger.*;
 import javafx.scene.control.test.utils.ptables.TextFieldEventsCounter.Count;
 import javafx.scene.layout.HBox;
@@ -54,8 +52,11 @@
         }
         try {
             this.counterName = counterName;
-            Label label = LabelBuilder.create().text(counterName + " : ").prefWidth((new Text(counterName + " : ")).getBoundsInParent().getWidth() + 30).build();
-            final TextField tf = TextFieldBuilder.create().text("0").prefWidth(50).id(counterName.toUpperCase() + COUNTER_SUFFIX).build();
+            Label label = new Label(counterName + " : ");
+            label.setPrefWidth((new Text(counterName + " : ")).getBoundsInParent().getWidth() + 30);
+            final TextField tf = new TextField("0");
+            tf.setPrefWidth(50);
+            tf.setId(counterName.toUpperCase() + COUNTER_SUFFIX);
             counter.addListener(new ChangeListener<Number>() {
                 public void changed(ObservableValue<? extends Number> ov, Number t, Number t1) {
                     log("Counter " + counterName + ": new value : <" + t1 + ">.");
diff --git a/functional/ControlsTests/src/javafx/scrollEvent/ScrollEventApp.java b/functional/ControlsTests/src/javafx/scrollEvent/ScrollEventApp.java
--- a/functional/ControlsTests/src/javafx/scrollEvent/ScrollEventApp.java
+++ b/functional/ControlsTests/src/javafx/scrollEvent/ScrollEventApp.java
@@ -38,14 +38,15 @@
 import javafx.scene.Parent;
 import javafx.scene.Scene;
 import javafx.scene.control.Button;
-import javafx.scene.control.ButtonBuilder;
 import javafx.scene.control.CheckBox;
 import javafx.scene.control.ChoiceBox;
+import javafx.scene.control.ComboBox;
 import javafx.scene.control.ContextMenu;
+import javafx.scene.control.Control;
+import javafx.scene.control.DatePicker;
 import javafx.scene.control.Label;
 import javafx.scene.control.MenuItem;
 import javafx.scene.control.TextField;
-import javafx.scene.control.TextFieldBuilder;
 import javafx.scene.input.ContextMenuEvent;
 import javafx.scene.input.ScrollEvent;
 import javafx.scene.layout.FlowPane;
@@ -96,13 +97,14 @@
     private Node createNodeChooser() {
         VBox vb = new VBox(5);
         Label scrollEventCame = new Label("Scroll event came : ");
-        final TextField eventComeIndicator = TextFieldBuilder.create().text("None").id(EVENT_COME_INDICATOR_TEXT_FIELD_ID).build();
+        final TextField eventComeIndicator = new TextField("None");
+        eventComeIndicator.setId(EVENT_COME_INDICATOR_TEXT_FIELD_ID);
         HBox hb = new HBox();
         hb.getChildren().addAll(scrollEventCame, eventComeIndicator);
 
-        Button resetButton = ButtonBuilder.create().text("Reset").id(RESET_BUTTON_ID).build();
+        Button resetButton = new Button("Reset");
+        resetButton.setId(RESET_BUTTON_ID);
         resetButton.setOnAction(new EventHandler<ActionEvent>() {
-
             public void handle(ActionEvent t) {
                 eventComeIndicator.setText("None");
                 clearListenersState();
@@ -140,7 +142,7 @@
                         }
                     });
                 } else {
-                    node.setOnContextMenuRequested(new EventHandler<ContextMenuEvent>() {
+                    EventHandler<ContextMenuEvent> handler = new EventHandler<ContextMenuEvent>() {
                         public void handle(ContextMenuEvent t) {
                             renewListenerValue("eventType", t.getEventType());
                             renewListenerValue("consumed", t.isConsumed());
@@ -149,13 +151,30 @@
                             getContextMenu().show(node, t.getScreenX(), t.getScreenY());
                             t.consume();
                         }
-                    });
+                    };
+                    node.setOnContextMenuRequested(handler);
+                    TextField editor = null;
+                    if (node instanceof DatePicker) {
+                        editor = ((DatePicker)node).getEditor();
+                    }
+                    if (node instanceof ComboBox) {
+                        editor = ((ComboBox)node).getEditor();
+                    }
+                    if (editor != null) {
+                        editor.setOnContextMenuRequested(handler);
+                    }
                 }
 
                 node.setId(ID_TARGET_NODE);
                 spaceForNode.getChildren().clear();
                 spaceForNode.getChildren().add(node);
-
+                node.setPickOnBounds(true);
+                if (node instanceof Control) {
+                    ((Control)node).setPrefWidth(200);
+                    ((Control)node).setPrefHeight(200);
+                    ((Control)node).setMinWidth(200);
+                    ((Control)node).setMinHeight(200);
+                }
                 clearListenersState();
             }
         });
@@ -196,7 +215,8 @@
     private HBox getListener(String name) {
         HBox hb = new HBox();
         Label label = new Label(name + " : ");
-        TextField tf = TextFieldBuilder.create().id(getListenerTextFieldID(name)).build();
+        TextField tf = new TextField();
+        tf.setId(getListenerTextFieldID(name));
         hm.put(name, tf);
 
         hb.getChildren().addAll(label, tf);
